<app-base-layout [enableDeskTopHeaderAction]="true" title="Portfolio">
    <div class="container-lg">
      <div class="row mt-1">
        <div class="col-8">
          <div>
            
            <app-user-info-dropdown customer_id="{{this.customerId}}" ></app-user-info-dropdown>
            <!-- <div class="separator" style="width: 100%; height: 10px"></div> -->
            <div class="myinvestment">
              <div class="heading d-md-none">My Investments</div>
              <div class="investment-card card">
                <div class="card-body">
                  <div class="count-wrapper">
            
                    <div>
                      <div class="title text-white">Invested</div>
                      <div class="count text-white">${{ customer_invested_value | number: "1.2-2" }}</div>
                    </div>
            
                    <div>
                      <div class="title text-white">Current</div>
                      <div class="count text-white">${{ customer_current_value | number: "1.2-2" }}</div>
                    </div>
            
                    <div class="d-none">
                      <div class="title text-white">P&L</div>
            
                      <div class="count text-white">${{ profit_loss_value | number: "1.2-2" }}
                        <!-- ({{profit_loss_per}}) -->
                      </div>
                    </div>
                  </div>
                  <div class="count-wrapper mt-3">
                    <div>
                      <div class="title text-white">Realized P&L</div>
                      <div class="count text-white">${{ profit_loss_value | number: "1.2-2" }}</div>
                    </div>
                    <div>
                      <div class="title text-white">Unrealised P&L</div>
                      <div class="count text-white">${{unrealised_pl | number: "1.2-2"}}</div>
                    </div>
                  </div>
                  <!-- <div class="separator" style="width: 100%; height: 17px"></div> -->
                  <div class="d-none" style="margin-top: 18px;margin-bottom: 5px;">
                    <div class="text-white text-center" style="font-size: 12px;">P&L : <span style="font-size:22px;">${{
                        profit_loss_value | number: "1.2-2" }}</span></div>
                  </div>
                  <div class="count-wrapper" style="flex-direction: column;">
                    <div class="col text-white last-update text-center mt-2 mb-3" *ngIf="account_balance">
                      <span>Cash Available : ${{account_balance}}</span>
                    </div>
                    <div class="col-auto text-center d-none">
                      <button type="button" routerLink="/account" class="btn custombtn">Go to Funds</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- end myinvest ment -->
          <div>
            <div class="heading mb-3">
              <div class="row">
                <div class="col">Portfolio</div>
                <div class="col-auto">
                    <!-- <a href>View all</a> -->
                </div>
              </div>
            </div>
            <div class="card">
              <div class="">
                <div class="charts">
                    <app-portfolio-chart
                    
                      [label]="label"
                      [dataSets]="dataSets"
                      [months]="monthsInPerformanceCharts"
                      (handleMonthPerformance)="(handleMonthPerformance)"
                    >
                    </app-portfolio-chart>
                  </div>
              </div>
            </div>
          </div>
          <!-- portfolio card end -->
          <div class="mt-4">
            <div class="heading mb-3">
              <div class="row">
                <div class="col">Asset Allocation</div>
                <div class="col-auto">
                    <!-- <a href>View all</a> -->
                </div>
              </div>
            </div>
            <div class="card">
              <div class="">
                <div class="charts">
                    <app-pie-chart
                      class="card space"
                      [labelProps]="pieChartLabels"
                      [valueProps]="pieChartValues"
                    ></app-pie-chart>
                  </div>

              </div>
            </div>
          </div>
          <!-- end assets alocation -->
        </div>
        <div class="col-4">
          <div class="user-info-card mb-4">
            <div class="card">
              <div class="card-body">
                <div class="row align-items-center">
                  <div class="col-auto">
                    <img src="assets/icons/user-card-info-icon.svg" />
                  </div>
                  <div class="col">
                    <div class="name">{{customerName}}</div>
                    <div class="email">{{customerEmail}}</div>
                  </div>
                </div>
              </div>
            </div>
          </div>
  
          <div class="investment-wrapper">
            <div class="heading mb-3">
              <div class="row">
                <div class="col">Investments</div>
                <div class="col-auto" *ngIf="investmentData.length > 4 ">
                  <button
                    class="btn btn-link"
                    style="font-size: 14px"
                    (click)="navigateToAllInvestmentList()"
                  >
                    View all
                  </button>
                </div>
              </div>
            </div>
            <div class="card mb-2" style="cursor: pointer;" *ngFor="let investmentlist of investmentData">
              <div class="card-body">
                <div class="row mb-2">
                  <div class="col">Qty : {{ investmentlist.quantity }}</div>
                </div>
                <div class="row mb-2">
                  <div class="col">{{ investmentlist.company_name }}</div>
                  <div class="col-auto">$ 5.92(00.31%)</div>
                </div>
                <div class="row">
                  <div class="col">Buy Price:${{ investmentlist.buy_price }}</div>
                  <div class="col-auto">LTP:$2806</div>
                </div>
              </div>
            </div>
            <div class="text-center" *ngIf="investmentData.length == 0">
              <h6>No data to display</h6>
            </div>
          </div>
        </div>
      </div>
    </div>
  </app-base-layout>
  